Bug 986557 - POST_BUILD ignored by dkms.
POST_BUILD ignored by dkms.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dkms (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 11:25 EDT by Gabriel VLASIU
Modified: 2013-08-07 14:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: dkms-2.2.0.3-14.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:36:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel VLASIU 2013-07-20 11:25:46 EDT
Description of problem:

dkms ignore POST_BUILD directive since is not in readonly dkms_conf_variables.
Comment 1 Simone Caronni 2013-07-21 09:51:45 EDT
Can you please test this build? It contains a patch for your fix.

http://koji.fedoraproject.org/koji/buildinfo?buildID=436163

Holding in pushing it in updates-testing as I'm waiting for #986660 to be closed.
Comment 2 Gabriel VLASIU 2013-07-21 10:24:22 EDT
Yes, the patch fixed the problem (it does the same thing I did). Thank you.

One more thing about POST[ADD,BUILD,INSTALL]. It would be nice if dkms script would pass on variables such as kernel version, the name / version of the module, if build has succeed, etc. (I know I can extract most of those variables using modinfo).

Also maybe POST_BUILD should run before dkms copy the modules from the build directory. For example, this would make signing modules easier: now I have to find if the module(s) exist in the build directory, extract the kernel version from the module, verify if ../$kver/$arch/module/$module.ko exist, sign the module, copy the signed module over ../$kver/$arch/module/$module.ko.
Comment 3 Fedora Update System 2013-07-23 04:31:27 EDT
dkms-2.2.0.3-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-14.fc19
Comment 4 Fedora Update System 2013-07-23 04:31:53 EDT
dkms-2.2.0.3-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-14.fc18
Comment 5 Fedora Update System 2013-07-23 04:32:21 EDT
dkms-2.2.0.3-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-14.fc17
Comment 6 Fedora Update System 2013-07-23 04:32:52 EDT
dkms-2.2.0.3-14.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-14.el6
Comment 7 Fedora Update System 2013-07-23 04:33:28 EDT
dkms-2.2.0.3-14.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-14.el5
Comment 8 Simone Caronni 2013-07-23 04:34:56 EDT
Please leave feedback in Bodhi!
Comment 9 Fedora Update System 2013-07-23 15:39:05 EDT
Package dkms-2.2.0.3-14.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dkms-2.2.0.3-14.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10949/dkms-2.2.0.3-14.el6
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-01 23:36:57 EDT
dkms-2.2.0.3-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-01 23:53:43 EDT
dkms-2.2.0.3-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-08-07 14:11:12 EDT
dkms-2.2.0.3-14.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-08-07 14:13:07 EDT
dkms-2.2.0.3-14.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.